org.apache.ignite.internal.processors.query.stat.config

## Class StatisticsObjectConfiguration.Diff

- java.lang.Object
- - org.apache.ignite.internal.processors.query.stat.config.StatisticsObjectConfiguration.Diff

Enclosing class:
  StatisticsObjectConfiguration

    public static class StatisticsObjectConfiguration.Diff
    extends Object

Difference between current and target configuration.

### Constructor Summary

Constructors
Constructor and Description
`Diff(Set<String> dropCols, Map<String,StatisticsColumnConfiguration> updateCols)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<String>` `dropCols()` Statistics columns to drop.
`Map<String,StatisticsColumnConfiguration>` `updateCols()` Statistics columns to update.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Diff

    public Diff(Set<String> dropCols,
                Map<String,StatisticsColumnConfiguration> updateCols)

### Method Detail

#### dropCols

    public Set<String> dropCols()

Statistics columns to drop.

Returns:
  Set of the columns' names.

#### updateCols

    public Map<String,StatisticsColumnConfiguration> updateCols()

Statistics columns to update.

Returns:
  Map of the statistic configuration for columns (column_name -> column_configuration).

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023